1. blskill's Avatar
    After just restoring my phone from being in recovery mode from a failed jailbreak, I'm currently with an iPhone 3G running 3.1.3 with 6.15 baseband. It is on emergency call mode and I don't have an AT&T SIM to activate it... so I need to activate, jailbreak, and unlock for an O2 SIM, but I have read that 3.1.3 is unlockable.

    After days of frustration, I don't want to do anything else without more advice, so it'd be much appreciated... thanks!
    2011-01-23 10:04 PM
  2. Simon's Avatar
    Use redsnow 0.9.4, point it to a 3.1.2 firmware. This will install cydia. Then install ultrasnow from cydia to unlock.
    2011-01-23 10:32 PM
  3. i.Annie's Avatar
    Just FYI the baseband is unlockabled regardless of what firmware you're on. Being on 3.1.3 is fine, but 6.15.00 is what makes your phone currently unlockable.
    2011-01-23 10:35 PM
  4. blskill's Avatar
    Thanks so much!! That's what I thought after browsing but I just wanted to double check. You're amazing. As is this forum. What a relief to have my iPhone back!
    2011-01-23 11:25 PM
LINK TO POST COPIED TO CLIPBOARD